## nvidia-graphics-drivers 361.42

=== debian/changelog ===
nvidia-graphics-drivers (361.42-1~ab~SID+1) sid-ab-unstable; urgency=medium

  [ Luca Boccassi ]
  * New upstream long lived branch release 361.42 (2016-03-30).
    - Added support for the following GPUs: GeForce 920MX, GeForce 930MX,
      Quadro M6000 24GB.
    - Limited the default concurrency level in nvidia-settings to 32, to avoid
      hitting the maximum tasks limit on systems with many CPUs.
    - Fixed a regression that caused GPU exceptions and incorrect rendering
      when using pbuffers with EGLDevice.
    - Fixed a bug that caused nvidia-settings to crash when pairing glasses
      with the 3D Vision Pro transmitter on some systems.
    - Fixed a regression that caused the HSync and VSync mode timing polarity
      flags to be inverted.
  * New upstream long lived branch release 361.28 (2016-02-09).
    (Closes: #814347)
    - Added support for the following GPU: GeForce 945A.
    *** TODO: ***
    - Added a legacy, non-GLVND libGL.so GLX client library to the NVIDIA
      Linux driver installer package, and the ability to select between a
      GLVND or non-GLVND GLX client library at installation time. This
      allows users to install the legacy non-GLVND GLX client library in
      order to work around compatibility issues which may arise due to GLX
      applications which depend upon behaviors of the NVIDIA GLX client
      driver which are not defined by the Linux OpenGL ABI version 1.0.
      By default, nvidia-installer will install the legacy, non-GLVND GLX
      client libraries. The --glvnd-glx-client command line option can be
      used to override the default, and install the GLVND GLX client
      libraries instead. Please contact the vendors of any applications
      that are not compatible with GLVND to ensure that their applications
      be updated for compatibility with GLVND.
      The presence of multiple GLX client libraries in the package has
      implications for repackagers of the NVIDIA driver; see the libGL.so
      entry in the "Installed Components" chapter of the README for details.
  * New upstream beta 361.18 (2016-01-13).
  * New upstream beta 361.16 (2016-01-05).
    - The OpenGL Vendor-Neutral Driver (GLVND) infrastructure is now included
      and supported by the NVIDIA GLX and OpenGL drivers.  This should not
      cause any visible changes in behavior for end users, but some internal
      driver component libraries have been renamed and/or moved as a result.
      These changes may affect scripts that rely on the presence of NVIDIA
      OpenGL driver components other than those specified in the Linux OpenGL
      ABI version 1.0, maintainers of alternative NVIDIA driver installation
      packages, and applications which rely on the presence of any non-
      OpenGL/GLX symbols in the libGL.so.1 library and its dependencies in
      any way.
      Please see:
        https://github.com/NVIDIA/libglvnd
      For more information on the GLVND project.
      The Linux OpenGL ABI version 1.0 specification is available at:
        https://www.opengl.org/registry/ABI
  * Refresh man-fixes-nvidia-smi.patch (failed to apply on 361.18 and 361.42).
  * Update nv-readme.ids.
  * Updated watch version to 361.
  * libgles-nvidia1: New package for the vendor-specific GLESv1 implementation
    from NVIDIA (libGLESv1_CM_nvidia.so.1), accessible via libglvnd.
  * rename libgles1-nvidia to libgles1-glvnd-nvidia: The libGLESv1_CM.so.1 is
    now just a (vendor-neutral)
    stub that redirects to libGLESv1_CM_nvidia.so.1 via libglvnd.
  * libgles-nvidia2: New package for the vendor-specific GLESv2 implementation
    from NVIDIA (libGLESv2_nvidia.so.2), accessible via libglvnd.
  * rename libgles2-nvidia to libgles2-glvnd-nvidia: The libGLESv2.so.2 is now
    just a (vendor-neutral)
    stub that redirects to libGLESv2_nvidia.so.2 via libglvnd.
  * libglx-nvidia0: New package for the vendor-specific GLX implementation
    from NVIDIA (libGLX_nvidia.so.0), accessible via libglvnd.
  * libglx0-nvidia: New package for libGLX.so.0, a new (vendor-neutral) stub
    that redirects to libGLX_nvidia.so.0 via libglvnd.
  * libnvidia-fatbinaryloader: New package for FAT multiarch binary loader,
    needed by CUDA PXT JIT compiler.
  * libnvidia-ptxjitcompiler: New package for the CUDA PXT JIT compiler.
  * Add dependency to libegl-nvidia package to nvidia-driver, otherwise
    apt-get install nvidia-driver will not pull it in.
  * Update symbols files
  * Updated libgl1-nvidia-glx package to ship libglvnd's version of libGL.so.1
    on i386 and amd64. Upstream ships only non-libglvnd libraries on ARM.
  * Add page-cache-release-uvm.patch to fix kernel module build on 4.6

  [ Andreas Beckmann ]
  * Update lintian overrides.

  [ Stephan Sürken ]
  * Build from SVN for hellfield.

 -- Stephan Sürken <absurd@olurdix.de>  Wed, 18 May 2016 20:01:38 +0200

nvidia-graphics-drivers (358.16-1) UNRELEASED; urgency=medium

  [ Luca Boccassi ]
  * New upstream short lived branch release 358.16 (2015-11-20).
    * Fixed CVE-2015-7869: Unsanitized User Mode Input.  (Closes: #805917)
    - Fixed a regression, introduced in 358.09, that caused incorrect
      rendering of OpenGL stereo applications in combination with
      Quadro Sync on certain GPUs.
    - Fixed a regression, introduced in 358.09, that caused OpenGL
      stereo applications to hang when SLI AFR, SFR, or SLIAA modes
      were enabled.
    - Fixed a regression, introduced in 358.09, that caused the
      system to hang while launching OpenGL applications when some SLI
      Mosaic topologies were in use.
    - Fixed a bug that could cause some G-SYNC monitors to flicker on
      Kepler-based GPUs when running at low frame rates.
    - Fixed a regression that could cause OpenGL or VDPAU applications to
      hang in Xinerama layouts which include multiple X screens that are
      driven by the same GPU.
    - Fixed a regression from 358.09 that caused G-SYNC monitors configured to

