=== debian/control ===
#Source: nvidia-graphics-drivers${nvidia:Legacy}
Source: nvidia-graphics-drivers
Section: non-free/libs
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Russ Allbery <rra@debian.org>,
 Andreas Beckmann <anbe@debian.org>,
 Vincent Cheng <vcheng@debian.org>,
 Luca Boccassi <luca.boccassi@gmail.com>,
Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/nvidia-graphics-drivers/trunk
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-nvidia/packages/nvidia-graphics-drivers/
Build-Depends:
 debhelper (>= 9),
 xz-utils,
 dkms,
 libxext6 [!ppc64el],
 quilt,
 po-debconf,
Standards-Version: 3.9.7
Homepage: http://www.nvidia.com
XS-Autobuild: yes

#Package: ${nvidia}-driver
Package: nvidia-driver
Section: non-free/x11
Architecture: i386 amd64 armhf
Pre-Depends:
 nvidia-installer-cleanup,
 ${nvidia-legacy-check},
Depends:
 libgl1-${nvidia}-glx (= ${binary:Version}),
 libegl1-${nvidia} (= ${binary:Version}),
 libegl-${nvidia}0 (= ${binary:Version}),
 libglx-${nvidia}0 (= ${binary:Version}),
 ${nvidia}-driver-bin (= ${binary:Version}),
 xserver-xorg-video-${nvidia} (= ${binary:Version}),
 ${nvidia}-vdpau-driver (= ${binary:Version}),
 ${nvidia-alternative} (= ${binary:Version}),
 ${nvidia:kmod:binary},
 nvidia-support,
 ${misc:Depends}
Recommends:
 ${nvidia-settings},
 libgl1-${nvidia}-glx-i386 [amd64],
 libgles-${nvidia}1 (= ${binary:Version}),
 libgles-${nvidia}2 (= ${binary:Version}),
 nvidia-persistenced,
Suggests:
 ${nvidia:kmod:source},
Provides:
 nvidia-glx-any,
Breaks:
 nvidia-glx${nvidia:Legacy},
Replaces:
 nvidia-glx${nvidia:Legacy},
Description: NVIDIA metapackage${nvidia:LegacyDesc}
 This metapackage depends on the NVIDIA binary driver and libraries
 that provide optimized hardware acceleration of
 OpenGL applications via a direct-rendering X Server.
 AGP, PCIe, SLI, TV-out and flat panel displays are also supported.
 .
 ${nvidia:kmod:Description}
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-driver/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 Building the kernel module has been tested up to Linux ${nvidia:kmod:tested:Linux}.

#Package: ${nvidia}-driver-bin
Package: nvidia-driver-bin
Section: non-free/x11
Architecture: i386 amd64 armhf
Depends:
 ${nvidia-alternative} (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 ${nvidia}-driver,
Provides:
 nvidia-driver-bin-${nvidia:Version},
Conflicts:
 nvidia-driver-bin-${nvidia:Version},
Breaks:
 ${nvidia}-driver (<< 343.22-2~),
 nvidia-glx${nvidia:Legacy} (<< 319),
Replaces:
 ${nvidia}-driver (<< 343.22-2~),
 nvidia-glx${nvidia:Legacy} (<< 319),
Description: NVIDIA driver support binaries${nvidia:LegacyDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL applications via a direct-rendering X Server.
 AGP, PCIe, SLI, TV-out and flat panel displays are also supported.
 .
 This package contains supporting binaries for the driver.

#Package: xserver-xorg-video-${nvidia}
Package: xserver-xorg-video-nvidia
Section: non-free/x11
Architecture: i386 amd64 armhf
Pre-Depends:
 nvidia-installer-cleanup,
 ${nvidia-legacy-check},
Depends:
 libgl1-${nvidia}-glx (= ${binary:Version}),
 ${nvidia-alternative} (= ${binary:Version}),
 nvidia-support (>= 20120630),
 ${nvidia:xorgDepends},
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 ${nvidia}-driver (>= ${nvidia:Version}),
 ${nvidia}-vdpau-driver (>= ${nvidia:Version}),
 ${nvidia:kmod:binary},
 ${nvidia-settings},
Suggests:
 ${nvidia:kmod:source},
Provides:
 xserver-xorg-video-nvidia-any,
 ${nvidia:xorgProvides},
Breaks:
 glx-alternative-nvidia (<< 0.6.91),
Replaces:
 glx-alternative-nvidia (<< 0.6.91),
Description: NVIDIA binary Xorg driver${nvidia:LegacyDesc}
 These binary drivers provide optimized hardware acceleration of
 OpenGL applications via a direct-rendering X Server.
 AGP, PCIe, SLI, TV-out and flat panel displays are also supported.
 .
 ${nvidia:kmod:Description}
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-driver/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

Package: nvidia-legacy-check
Architecture: i386 amd64 armhf
Multi-Arch: foreign
Pre-Depends:
 debconf (>= 0.5) | debconf-2.0,
 pciutils,
 nvidia-installer-cleanup,
Depends:
 ${misc:Depends}
Description: check for NVIDIA GPUs requiring a legacy driver
 This package checks whether the system contains NVIDIA GPUs that are no longer
 supported by the main driver line and require a legacy driver.
 .
 If such hardware is present, a debconf question will be asked to confirm the
 installation of the current driver line.

Package: libglvnd-nvidia
Architecture: i386 amd64 armhf
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA binary GL vendor neutral libraries
 The vendor neutral dispatch library for OpenGL (libglvnd).
 The goal for libglvnd is to allow multiple OpenGL implementations from 
 different vendors to coexist on the same system, without interfering 
 with each other or requiring any manual configuration.
 .
 This package contains the binary libraries libGLdispatch.so.0 and
 libOpenGL.so.0 as shipped by NVIDIA.

#Package: libgl1-${nvidia}-glx
Package: libgl1-nvidia-glx
Architecture: i386 amd64 armhf
Multi-Arch: same
Pre-Depends:
 nvidia-installer-cleanup,
 ${nvidia-legacy-check},
 ${misc:Pre-Depends}
Depends:
 ${nvidia-alternative} (= ${binary:Version}),
 nvidia-installer-cleanup (>= 20130816) [i386],
 nvidia-support,
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 ${nvidia:kmod:binary},
Suggests:
 ${nvidia:kmod:source},
Provides:
 libgl1-nvidia-glx-any,
 libgl1-nvidia-glx-${nvidia:Version},
Conflicts:
 libgl1-nvidia-glx-${nvidia:Version},
 libgl1-nvidia${nvidia:Legacy}-glx-ia32,
 nvidia-glx${nvidia:Legacy}-ia32,
 libgl1-nvidia-glx-ia32-any,
Breaks:
 ia32-libs (<< 1:0),
Replaces:
 libgl1-nvidia${nvidia:Legacy}-glx-ia32,
 nvidia-glx${nvidia:Legacy}-ia32,
Description: NVIDIA binary OpenGL libraries${nvidia:LegacyDesc}
 These binary libraries provide optimized hardware acceleration of
 OpenGL applications via a direct-rendering X Server.
 .
 See the description of the ${nvidia}-driver package
 or /usr/share/doc/libgl1-${nvidia}-glx/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

#Package: libgl1-${nvidia}-glx-i386
Package: libgl1-nvidia-glx-i386
Architecture: i386
Multi-Arch: foreign
Depends:
 libgl1-${nvidia}-glx,
 ${misc:Depends}
Description: NVIDIA binary OpenGL 32-bit libraries${nvidia:LegacyDesc}
 This metapackage helps the automatic installation of the 32-bit NVIDIA
 OpenGL libraries when installing libgl1-${nvidia}-glx
 on amd64 with foreign architecture i386 enabled.

Package: libegl1-nvidia
Architecture: i386 amd64 armhf
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${nvidia-alternative} (= ${binary:Version}),
 libglvnd-nvidia,
 ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA binary EGL stub libraries
 This package contains the EGL native platform graphics interface library.
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES and OpenVG.
 .
 See the description of the ${nvidia}-driver package
 or /usr/share/doc/libgl1-${nvidia}-glx/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 This package contains a libEGL.so.1 stub that redirects to a vendor
 implementation via libglvnd.

#Package: libegl-${nvidia}0
Package: libegl-nvidia0
Architecture: i386 amd64 armhf
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${nvidia-alternative} (= ${binary:Version}),
 lib${nvidia}-eglcore (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA binary EGL libraries${nvidia:LegacyDesc}
 This package contains the EGL native platform graphics interface library.
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES and OpenVG.
 .
 See the description of the ${nvidia}-driver package
 or /usr/share/doc/libgl1-${nvidia}-glx/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 This package contains the driver specific binary EGL implementation by NVIDIA
 that is accessed via libglvnd.

#Package: libgles1-glvnd-${nvidia}
Package: libgles1-glvnd-nvidia
Architecture: i386 amd64 armhf
Multi-Arch: same
Conflicts: libgles1-nvidia
Replaces: libgles1-nvidia
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${nvidia-alternative} (= ${binary:Version}),
 libglvnd-nvidia,
 ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA binary OpenGL|ES 1.x stub libraries
 OpenGL|ES is a cross-platform API for full-function 2D and 3D graphics on
 embedded systems - including consoles, phones, appliances and vehicles.
 It contains a subset of OpenGL plus a number of extensions for the
 special needs of embedded systems.
 .
 OpenGL|ES 1.x provides an API for fixed-function hardware.
 .
 See the description of the ${nvidia}-driver package
 or /usr/share/doc/libgl1-${nvidia}-glx/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 This package contains a libGLESv1_CM.so.1 stub that redirects to a vendor
 implementation via libglvnd.

#Package: libgles-${nvidia}1
Package: libgles-nvidia1
Architecture: i386 amd64 armhf
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${nvidia-alternative} (= ${binary:Version}),
 lib${nvidia}-eglcore (= ${binary:Version}),
 libgles1-glvnd-${nvidia} (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA binary OpenGL|ES 1.x libraries${nvidia:LegacyDesc}
 OpenGL|ES is a cross-platform API for full-function 2D and 3D graphics on
 embedded systems - including consoles, phones, appliances and vehicles.
 It contains a subset of OpenGL plus a number of extensions for the
 special needs of embedded systems.
 .
 OpenGL|ES 1.x provides an API for fixed-function hardware.
 .
 See the description of the ${nvidia}-driver package
 or /usr/share/doc/libgl1-${nvidia}-glx/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 This package contains the driver specific binary OpenGL|ES 1.x implementation
 by NVIDIA that is accessed via libglvnd.

#Package: libgles2-glvnd-${nvidia}
Package: libgles2-glvnd-nvidia
Architecture: i386 amd64 armhf
Multi-Arch: same
Conflicts: libgles2-nvidia
Replaces: libgles2-nvidia
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${nvidia-alternative} (= ${binary:Version}),
 libglvnd-nvidia,
 ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA binary OpenGL|ES 2.x stub libraries
 OpenGL|ES is a cross-platform API for full-function 2D and 3D graphics on
 embedded systems - including consoles, phones, appliances and vehicles.
 It contains a subset of OpenGL plus a number of extensions for the
 special needs of embedded systems.
 .
 OpenGL|ES 2.x provides an API for programmable hardware including vertex
 and fragment shaders.
 .
 See the description of the ${nvidia}-driver package
 or /usr/share/doc/libgl1-${nvidia}-glx/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 This package contains a libGLESv2.so.2 stub that redirects to a vendor
 implementation via libglvnd.

#Package: libgles-${nvidia}2
Package: libgles-nvidia2
Architecture: i386 amd64 armhf
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${nvidia-alternative} (= ${binary:Version}),
 lib${nvidia}-eglcore (= ${binary:Version}),
 libgles2-glvnd-${nvidia} (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA binary OpenGL|ES 2.x libraries${nvidia:LegacyDesc}
 OpenGL|ES is a cross-platform API for full-function 2D and 3D graphics on
 embedded systems - including consoles, phones, appliances and vehicles.
 It contains a subset of OpenGL plus a number of extensions for the
 special needs of embedded systems.
 .
 OpenGL|ES 2.x provides an API for programmable hardware including vertex
 and fragment shaders.
 .
