## nvidia-graphics-drivers 364.19

=== debian/changelog ===
nvidia-graphics-drivers (364.19-1~ab~SID+1) sid-ab-unstable; urgency=medium

  [ Luca Boccassi ]
  * New upstream short lived branch release 364.19 (2016-04-22).
    - Fixed some locking issues in libnvidia-egl-wayland.so.
    - Fixed several libnvidia-egl-wayland.so interaction problems with
      buffer management Wayland protocols.
  * New upstream beta release 364.15 (2016-04-06).
    - Fixed several EGL driver interaction problems with resizing windows
      in Wayland.
    - Fixed a bug that caused some DRM PRIME configurations to fail when
      DRM KMS was enabled (i.e., nvidia-drm.ko's modeset kernel module
      parameter was set to "1").
    - Fixed a bug that could cause a kernel crash when VDPAU was used
      while DRM KMS was enabled.
  * New upstream beta release 364.12 (2016-03-21).
    - Changed the default OpenGL installation type to use the GLVND GLX
      client libraries rather than the legacy non-GLVND libraries.
    - Added initial support for Direct Rendering Manager Kernel
      Modesetting (DRM KMS).  See the DRM KMS section of the README for
      details.
    - Added a new kernel module, nvidia-drm.ko, which registers as a DRM
      driver with both PRIME and DRM KMS support.
    - Added support for the following EGL extensions:
        EGL_EXT_platform_wayland
      to enable Wayland applications to run on NVIDIA's EGL implementation,
        EGL_WL_bind_wayland_display
      to enable Wayland compositors to run on NVIDIA's EGL implementation, and
        EGL_EXT_device_drm
        EGL_EXT_output_drm
        EGL_EXT_stream_consumer_egloutput
      to enable Mir and Wayland compositors to display their content
      through EGLDevice, EGLOutput, and EGLstreams.
    - Added a Wayland platform library, libnvidia-egl-wayland.so, to allow
      Wayland compositors that support EGLDevice, EGLOutput, and EGLstreams
      to share EGL buffers with Wayland applications.
    - Fixed a bug that could cause incorrect frame rate reporting on Quadro
      Sync configurations with multiple GPUs.
    - Added support for the Vulkan API version 1.0.
    - Improved X colormap precision from 8 significant bits to 11 on GeForce
      GPUs.  Quadro GPUs already used 11 bits of precision.
    - Added a new RandR property, CscMatrix, which specifies a 3x4 color-space
      conversion matrix.  The matrix is applied after the X colormap and before
      the gamma ramp.  This property is available on GF119 and newer GPUs.
    - Improved handling of the X gamma ramp on GF119 and newer GPUs.  On these
      GPUs, the RandR gamma ramp is always 1024 entries and now applies to the
      cursor and VDPAU or workstation overlays in addition to the X root window.
    - Reworked how the NVIDIA driver registers with the Linux
      kernel's DRM subsystem for PRIME support.  As a result, PRIME
      support requires Linux kernel version 3.13 or newer (previously,
      PRIME support required Linux kernel version 3.10 or newer).
    - Improved the interactivity of applications that use a hardware cursor
      while G-SYNC is active.
  * Update nv-readme.ids
  * Update watch file to point to 364 release
  * Update symbols files
  * Refresh man-fixes-nvidia-smi.patch (fails to apply)
  * Add new DRM kernel module to DKMS infrastructure and modprobe rules.
    This new module is distributed without any binary blos. For now modeset is
    disabled by default, and it can be enabled manually via:
      sudo modprobe -r nvidia-drm; sudo modprobe nvidia-drm modeset=1
  * Add nvidia_drm_arm_cflags.patch to fix nvidia-drm kernel module build
    failure on armhf.
  * Add drm_mode_fb_cmd2.patch to fix nvidia-drm kernel module build failure
    on 4.6
  * Add do_div_cast.patch to fix nvidia-modeset kernel module build failure
    on 4.6

  [ Stephan Sürken ]
  * Build from Debian svn for hellfield.
  * MINI_BUILDD: AUTO_BACKPORTS: jessie-ab-unstable

 -- Stephan Sürken <absurd@olurdix.de>  Thu, 19 May 2016 21:02:46 +0200

nvidia-graphics-drivers (361.28-1) UNRELEASED; urgency=medium

  [ Luca Boccassi ]
  * New upstream long lived branch release 361.28 (2016-02-09).
    (Closes: #814347)
    - Added support for the following GPU: GeForce 945A.
    *** TODO: ***
    - Added a legacy, non-GLVND libGL.so GLX client library to the NVIDIA
      Linux driver installer package, and the ability to select between a
      GLVND or non-GLVND GLX client library at installation time. This
      allows users to install the legacy non-GLVND GLX client library in
      order to work around compatibility issues which may arise due to GLX
      applications which depend upon behaviors of the NVIDIA GLX client
      driver which are not defined by the Linux OpenGL ABI version 1.0.
      By default, nvidia-installer will install the legacy, non-GLVND GLX
      client libraries. The --glvnd-glx-client command line option can be
      used to override the default, and install the GLVND GLX client
      libraries instead. Please contact the vendors of any applications
      that are not compatible with GLVND to ensure that their applications
      be updated for compatibility with GLVND.
      The presence of multiple GLX client libraries in the package has
      implications for repackagers of the NVIDIA driver; see the libGL.so
      entry in the "Installed Components" chapter of the README for details.
  * New upstream beta 361.18 (2016-01-13).
  * New upstream beta 361.16 (2016-01-05).
    - The OpenGL Vendor-Neutral Driver (GLVND) infrastructure is now included
      and supported by the NVIDIA GLX and OpenGL drivers.  This should not
      cause any visible changes in behavior for end users, but some internal
      driver component libraries have been renamed and/or moved as a result.
      These changes may affect scripts that rely on the presence of NVIDIA
      OpenGL driver components other than those specified in the Linux OpenGL
      ABI version 1.0, maintainers of alternative NVIDIA driver installation

