=== debian/rules ===
--- 
+++ 
@@ -35,6 +35,7 @@
 
 # this needs the internal names (i.e. upstream's names, not our renamed files)
 unload_modules		 =
+unload_modules		+= nvidia-drm
 unload_modules		+= nvidia-modeset
 unload_modules		+= $(if $(has_uvm),nvidia-uvm)
 unload_modules		+= nvidia
@@ -192,4 +193,3 @@
 
 	# Install a debian/ tree.
 	cp -a debian/module/debian $(module_source)/
-	cp -a debian/copyright $(module_source)/debian/
